// pages/changeName/index.js
const app = getApp();
Page({
	/**
	 * 页面的初始数据
	 */
	data: {
		userId: "",
		userName: "",
		btnLoading: false,
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {},

	onSubmit(e) {
		console.log(e);

		var that = this;

		if (app.isEmptyCheck(e.detail.value.userName)) {
			wx.showToast({
				icon: "none",
				title: "请输入姓名",
				duration: 3000,
			});

			return;
		}

		var formData = e.detail.value;
		formData["userId"] = that.data.userId;

		console.log(formData);

		wx.request({
			url: app.globalData.ip + "/user/updateUserName",
			method: "POST",
			header: app.globalData.headers,
			data: formData,
			success: function (res) {
				console.log(res);

				if (res.data.status == 200) {
					app.globalData.user.userName = formData.userName;

					wx.navigateBack({
						delta: 1,
					});
				} else {
					wx.showToast({
						icon: "none",
						title: res.data.msg,
						duration: 2000,
					});

					that.setData({
						btnLoading: false,
					});
				}
			},
		});
	},
	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {
		this.setData({
			userId: app.globalData.user.id,
			userName: app.globalData.user.userName,
		});
	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage1: function () {},
  // toRole() {
  //   let res = {
  //     data:{
  //       msg:'失败'
  //     }
  //   }
	// 	wx.navigateTo({
	// 		url: `/pages/returnMessage/index?type=fail&msg=${res.data.msg}&status=304`,
	// 	});
	// },
});
